%define name	 ipython
%define tar_name ipython
%define version  0.9.1
%define rel 	 1

Summary: 	An enhanced interactive Python shell
Name: 		%{name}
Version: 	%{version}
Release: 	%mkrel %{rel}
Source0: 	http://ipython.scipy.org/dist/%{tar_name}-%{version}.tar.lzma
Patch0:		setupbase.py.patch
License: 	BSD-like
Group: 		Development/Python
Url: 		http://ipython.scipy.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	python
Requires:	python-zope-interface >= 3.4.1
Requires:	python-twisted >= 8.0.1
Requires:	python-foolscap >= 0.2.6
Requires:	python-pexpect >= 2.2
Suggests:	python-mpi4py
Suggests:	wxPython
BuildRequires: 	python-devel, emacs
BuildArch: 	noarch

%description
IPython is a free software project (released under the BSD license)
which tries to:

* Provide an interactive shell superior to Python's default. IPython
  has many features for object introspection, system shell access,
  and its own special command system for adding functionality when
  working interactively. It tries to be a very efficient environment
  both for Python code development and for exploration of problems
  using Python objects (in situations like data analysis).

* Serve as an embeddable, ready to use interpreter for your own
  programs. IPython can be started with a single call from inside
  another program, providing access to the current namespace. This
  can be very useful both for debugging purposes and for situations
  where a blend of batch-processing and interactive exploration are
  needed.

* Offer a flexible framework which can be used as the base
  environment for other systems with Python as the underlying
  language. Specifically scientific environments like Mathematica,
  IDL and Matlab inspired its design, but similar ideas can be
  useful in many fields.

* Allow interactive testing of threaded graphical toolkits. IPython
  has support for interactive, non-blocking control of GTK, Qt and
  WX applications via special threading flags. The normal Python
  shell can only do this for Tkinter applications.

%prep
%setup -q -n %{tar_name}-%{version}
%patch0 -p0

%build
%__python setup.py build
emacs -batch -f batch-byte-compile docs/emacs/ipython.el

%install
%__rm -rf %{buildroot}
%__python setup.py install --root=%{buildroot} --record=FILELIST
%__mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp/
%__install -m 644 docs/emacs/ipython.el* %{buildroot}%{_datadir}/emacs/site-lisp/

%clean
%__rm -rf %{buildroot}

%files -f FILELIST
%defattr(-,root,root)
%{_datadir}/emacs/site-lisp/*



%changelog
* Wed Sep 17 2008 Lev Givon <lev@mandriva.org> 0.9.1-1mdv2009.0
+ Revision: 285518
- Update to 0.9.1.
- Update to 0.9.

* Sun Jun 01 2008 Lev Givon <lev@mandriva.org> 0.8.4-1mdv2009.0
+ Revision: 213866
- Update to 0.8.4.

* Thu May 29 2008 Lev Givon <lev@mandriva.org> 0.8.3-1mdv2009.0
+ Revision: 213052
- Update to 0.8.3.

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - kill extra spacing at top of description

* Sun Dec 02 2007 Lev Givon <lev@mandriva.org> 0.8.2-1mdv2008.1
+ Revision: 114366
- Update to 0.8.2.

* Thu May 10 2007 Lev Givon <lev@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 25997
- Update to 0.8.1.

* Tue Apr 17 2007 Lev Givon <lev@mandriva.org> 0.8.0-1mdv2008.0
+ Revision: 13736
- Update to 0.8.0.


* Thu Dec 21 2006 Gaëtan Lehmann <glehmann@mandriva.org> 0.7.3-1mdv2007.0
+ Revision: 101121
- 0.7.3

* Sun Dec 10 2006 Lev Givon <lev@mandriva.org> 0.7.2-4mdv2007.1
+ Revision: 94433
- Include man pages properly.
- Fix license.
  Make sure package can still build properly with Python < 2.5.

* Mon Dec 04 2006 Lev Givon <lev@mandriva.org> 0.7.2-3mdv2007.1
+ Revision: 90453
- Update to build properly with Python 2.5.

* Sat Oct 28 2006 Lev Givon <lev@mandriva.org> 0.7.2-2mdv2007.1
+ Revision: 73563
- Patch Shell.py to not call deprecated gdk methods when running pylab.
- Import ipython

* Thu Jun 08 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.2-1mdv2007.0
- New release 0.7.2

* Tue Jan 31 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.1.fix1-1mdk
- New release 0.7.1.fix1

* Tue Jan 24 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.1-1mdk
- New release 0.7.1

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 0.7.0-3mdk
- make it rpmbuildupdatable ( and fix the wrong upload with 1mdk )

* Wed Jan 11 2006 Michael Scherer <misc@mandriva.org> 0.7.0-2mdk
- Use new python macro

* Tue Jan 10 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.7.0-1mdk
- New release 0.7.0
- drop Patch0 (merged upstream)

* Sun Jun 12 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 0.6.15-1mdk
- New release 0.6.15
- Patch0: fix completion for objects with invalid attribute names
- use mkrel
- remove dot in summary

* Fri Mar 04 2005 Michael Scherer <misc@mandrake.org> 0.6.12-1mdk
- New release 0.6.12

* Thu Feb 17 2005 Michael Scherer <misc@mandrake.org> 0.6.11-1mdk
- New release 0.6.11

* Fri Jan 28 2005 Michael Scherer <misc@mandrake.org> 0.6.10-1mdk
- New release 0.6.10

* Thu Dec 16 2004 Michael Scherer <misc@mandrake.org> 0.6.6-1mdk
- New release 0.6.6

* Sat Dec 04 2004 Michael Scherer <misc@mandrake.org> 0.6.5-2mdk
- Rebuild for new python

* Fri Dec 03 2004 Michael Scherer <misc@mandrake.org> 0.6.5-1mdk
- New release 0.6.5

* Fri Nov 12 2004 Michael Scherer <misc@mandrake.org> 0.6.4-1mdk
- New release 0.6.4
- fix tarname

* Sat Oct 02 2004 Michael Scherer <misc@mandrake.org> 0.6.3-1mdk
- New release 0.6.3

* Thu Jul 01 2004 Michael Scherer <misc@mandrake.org> 0.6.0-1mdk
- First release for Mandrakelinux, based on work from Fernando Perez <fperez@colorado.edu>

